curl --request GET \
--url https://api.emidat.com/v2/supplier-plants \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.emidat.com/v2/supplier-plants"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.emidat.com/v2/supplier-plants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.emidat.com/v2/supplier-plants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.emidat.com/v2/supplier-plants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.emidat.com/v2/supplier-plants")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.emidat.com/v2/supplier-plants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"supplier_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Materials — Munich",
"address": {
"country": "DE",
"city": "Munich",
"latitude": 48.1351,
"longitude": 11.575,
"street": "Musterstraße",
"house_number": "12",
"postal_code": "80331",
"state": "Bavaria",
"formatted_address": "Musterstraße 12, 80331 Munich, Germany"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}List supplier plants
Lists your supplier plants — global to your account, not owned by any
one plant. Pass plant_id to narrow the results to supplier plants a
material at that plant currently sources from, or supplier_company_id
to restrict them to one supplier company.
Filter by external_id to resolve one of your codes to a single supplier
plant. Paginated — see Pagination.
curl --request GET \
--url https://api.emidat.com/v2/supplier-plants \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.emidat.com/v2/supplier-plants"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.emidat.com/v2/supplier-plants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.emidat.com/v2/supplier-plants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.emidat.com/v2/supplier-plants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.emidat.com/v2/supplier-plants")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.emidat.com/v2/supplier-plants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"supplier_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Materials — Munich",
"address": {
"country": "DE",
"city": "Munich",
"latitude": 48.1351,
"longitude": 11.575,
"street": "Musterstraße",
"house_number": "12",
"postal_code": "80331",
"state": "Bavaria",
"formatted_address": "Musterstraße 12, 80331 Munich, Germany"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}{
"msg": "supplier product requires a supplier plant",
"err_code": "err_supplier_product_missing_supplier_plant",
"entitlement_limit": {
"dimension": "users",
"usage": 123,
"limit": 123
}
}Authorizations
Per-manufacturer API key in the X-API-Key header, format
emidat-{key_id}-{secret} where key_id is a random public handle.
Issued by an owner in the Emidat
dashboard; carries its own permission scopes, optional plant
restrictions, and optional expiry. A revoked, expired, or unknown key
returns 401. See the Authentication guide for details.
Query Parameters
Optional plant UUID. Narrows the results to supplier plants a material at that plant currently sources from; a plant with none simply matches nothing — the page comes back empty.
Optional supplier company UUID to restrict the results. A UUID you cannot reach simply matches nothing — the page comes back empty.
Narrow the list to the supplier plant carrying this code of yours. Optional; at most one supplier plant matches.
Opaque cursor taken from the previous page's next_cursor. Omit it for the
first page. Never construct or parse one — its encoding is not part of the
contract. A cursor that cannot be decoded is rejected with 422. See
Pagination.
Maximum number of items on the page. Out of range is rejected with 422.
See Pagination.
1 <= x <= 200